/* ========================================
works archive
======================================== */
.works-archive {
  width: 88.888%;
  max-width: 1200px;
  margin: 7rem auto 0;
}

.works-archive-inner {
  display: grid;
  grid-template-columns: 180px 1fr;
  gap: 9rem 4rem;
}

.works-content {
  width: 100%;
}

/* ========================================
左ナビ
======================================== */
.works-filter {
  position: sticky;
  top: 120px;

  height: fit-content;

  display: flex;
  flex-direction: column;
  gap: 20px;
}

.works-filter-button {
  position: relative;

  background: none;
  border: none;

  cursor: pointer;

  text-align: left;

  font-size: 1.6rem;
  letter-spacing: .08em;
  color: #999;

  transition: color .3s ease;
}

.works-filter-button::before {
  content: "";

  position: absolute;
  left: -18px;
  top: 50%;

  transform: translateY(-50%);

  width: 6px;
  height: 6px;

  border-radius: 50%;

  background: transparent;

  transition: background .3s ease;
}

.works-filter-button.is-active {
  color: var(--main-color);
}

.works-filter-button.is-active::before {
  background: var(--main-color);
}


/* タブ切り替えで遷移 → フェードイン  */
.works-card {
  opacity: 1;
  transform: translateY(0);

  transition:
    opacity .55s ease,
    transform .55s ease;
  will-change: opacity, transform;
}

.works-card.is-visible {
  opacity: 1;
  transform: translateY(0);
}

.works-card.is-hidden {
  opacity: 0;
  transform: translateY(6px);
  pointer-events: none;
}

/* panel */
.works-panel {
  opacity: 0;
  visibility: hidden;

  height: 0;
  overflow: hidden;

  transition:
    opacity .4s ease,
    visibility .4s ease;
}

/* active */
.works-panel.active {
  opacity: 1;
  visibility: visible;

  height: auto;
  overflow: visible;
}

/* ========================================
一覧
======================================== */
.works-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 12rem 6rem;
}

/* カード */
.works-card a {
  display: block;
}

/* 画像 */
.works-card-image {
  overflow: hidden;
  margin-bottom: 1.5rem;
}

.works-card-image img {
  width: 100%;
  height: auto;
  display: block;
  transition: transform .5s ease;
}

.works-card:hover img {
  transform: scale(1.03);
}

/* タイトル */
.works-category {
  color: var(--sub-color);
  letter-spacing: 0.05em;
}

.works-card-title {
  margin-top: .5rem;
  text-align: left;
  font-size: clamp(1.5rem, 1.8vw, 2rem);
}

/* スキル */
.works-card-skill {
  margin-top: .5rem;
  font-size: clamp(1.3rem, 1.5vw, 1.4rem);
  color: var(--sub-color);
  letter-spacing: .03em;
}


/* ========================================
SP
======================================== */
@media screen and (max-width: 767px) {

  .works-archive {
    width: 85%;
    margin: 0 auto;
  }

  .works-archive-inner {
    grid-template-columns: 1fr;
    gap: 3rem;
  }

  .works-filter {
    position: static;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    gap: 5rem;
  }

  .works-filter-button::before {
    top: 60%;
    transform: translateY(-60%);
    left: -15px;
  }

  .works-grid {
    grid-template-columns: 1fr;
    gap: 4rem;
  }

  .works-card-image {
    margin-bottom: .5rem;
  }

  .works-card-title,
  .works-card-skill {
    margin-top: 0;
  }
}



/* ========================================
ページ番号
======================================== */
.works-pagination {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 2rem;
  margin-top: 5rem;
}

/* ボタン */
.works-pagination button {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;

  font-size: clamp(1.3rem, 1.5vw, 1.4rem);
  letter-spacing: .08em;

  border: 1px solid #AAB5A7;
  color: #AAB5A7;
  background: transparent;

  transition:
    background-color .3s ease,
    color .3s ease,
    border-color .3s ease;

  cursor: pointer;
}

/* hover */
.works-pagination button:hover {
  background: #AAB5A7;
  color: #fff;
}

/* current */
.works-pagination button.is-current {
  background: #AAB5A7;
  border-color: #AAB5A7;
  color: #fff;
}

/* SP */
@media screen and (max-width: 767px) {

  .works-pagination {
    margin-top: 2.5rem;
  }

}